Bug 807555 - Plug memory leak on cmdSnapshotList with failure path
Summary: Plug memory leak on cmdSnapshotList with failure path
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt
Version: 6.3
Hardware: x86_64
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Alex Jia
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-03-28 06:52 UTC by Alex Jia
Modified: 2012-06-20 06:50 UTC (History)
7 users (show)

Fixed In Version: libvirt-0.9.10-10.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-20 06:50:59 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:0748 0 normal SHIPPED_LIVE Low: libvirt security, bug fix, and enhancement update 2012-06-19 19:31:38 UTC

Description Alex Jia 2012-03-28 06:52:31 UTC
Description of problem:
virsh snapshot-list with mutually exclusive options will leak references.

Version-Release number of selected component (if applicable):
# rpm -q libvirt-client
libvirt-client-0.9.10-8.el6.x86_64


How reproducible:
always

Steps to Reproduce:

% virsh snapshot-list foo --parent --roots
error: --parent and --roots are mutually exclusive

error: Failed to disconnect from the hypervisor, 1 leaked reference(s)

% virsh snapshot-list foo --parent --tree
error: --parent and --tree are mutually exclusive

error: Failed to disconnect from the hypervisor, 1 leaked reference(s)

% virsh snapshot-list foo --roots --tree
error: --roots and --tree are mutually exclusive

error: Failed to disconnect from the hypervisor, 1 leaked reference(s)

......
  
Actual results:
error: Failed to disconnect from the hypervisor, 1 leaked reference(s)

Expected results:
avoid memory leaks.

Additional info:

Comment 1 Alex Jia 2012-03-28 06:55:46 UTC
Patch for upstream:
https://www.redhat.com/archives/libvir-list/2012-March/msg01236.html

Comment 3 Daniel Veillard 2012-04-05 03:10:28 UTC
Okay fixed in upstream commit 03ca3317a66b7ae5a1a6323487cad99b506cb714

Daniel

Comment 6 Huang Wenlong 2012-04-06 04:13:33 UTC
Verify this bug :
libvirt-0.9.10-10.el6.x86_64
qemu-kvm-0.12.1.2-2.267.el6.x86_64



Steps:
#  virsh snapshot-list bug --parent --roots
error: --parent and --roots are mutually exclusive

# virsh snapshot-list bug --parent --tree
error: --parent and --tree are mutually exclusive

# virsh snapshot-list bug --roots --tree
error: --roots and --tree are mutually exclusive

Comment 8 errata-xmlrpc 2012-06-20 06:50:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-0748.html


Note You need to log in before you can comment on or make changes to this bug.